## org.eclipse.amp.escape.ascape.agf3d
Class AscapeAgentEdit3DPart

    java.lang.Object
      AbstractGraphicalEditPart
          org.eclipse.amp.agf.gef.GenericEditPart
              org.eclipse.amp.agf.gef.AgentEditPart
                  org.eclipse.amp.agf3d.AgentEdit3DPart
                      org.eclipse.amp.escape.ascape.agf3d.AscapeAgentEdit3DPart

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener

Direct Known Subclasses:
  CellOccupantEdit3DPart, HostCellEdit3DPart

    public class AscapeAgentEdit3DPart

extends AgentEdit3DPart

Author:
  mparker

Field Summary

Fields inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`anchor, HIGHLIGHT_ELLIPSE, HIGHLIGHT_RECTANGLE, noFigureWarning, SCALE, SIZE_FULL, SIZE_INSET_1`

Constructor Summary
`AscapeAgentEdit3DPart(IColorProvider colorProvider)`
`AscapeAgentEdit3DPart(IShape3DProvider shapeProvider, IColorProvider colorProvider, boolean update)`

Method Summary

Methods inherited from class org.eclipse.amp.agf3d.AgentEdit3DPart
`buildFigure, createFigure, getRelativeLocation3D, isUpdate, setUpdate`

Methods inherited from class org.eclipse.amp.agf.gef.AgentEditPart
`getConnectionAnchor, getModelSourceConnections, getModelTargetConnections, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor`

Methods inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`activate, createEditPolicies, deactivate, propertyChange, refresh, refreshVisuals, shapeMarker, shapeMarker2, shapeMarker3, shapeMarker4, shapeOval, shapeRectangle, shapeRoundedRect, updateSelection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AscapeAgentEdit3DPart

    public AscapeAgentEdit3DPart(IShape3DProvider shapeProvider,
                                 IColorProvider colorProvider,
                                 boolean update)

### AscapeAgentEdit3DPart

    public AscapeAgentEdit3DPart(IColorProvider colorProvider)

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors